import { SelectOption, SelectProps } from '../Select/types';
declare type Args<T> = {
    selectedOptions?: T[];
    onClearOptions: SelectProps<SelectOption>['onClearOptions'];
    options: T[];
};
declare const useInitialOptions: <T extends SelectOption>({ options, onClearOptions, selectedOptions, }: Args<T>) => {
    initialOptions: T[];
    tags: {
        text: string;
        id: string;
        interaction: "remove";
    }[];
};
export default useInitialOptions;
